> For the complete documentation index, see [llms.txt](https://docs.erc3643.org/erc-3643/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.erc3643.org/erc-3643/smart-contracts-library/onchain-identities/claim-topics-registry/claim-topics-registry-interface.md).

# Claim Topics Registry Interface

The Claim Topics Registry interface defines the set of functions and events used to manage the required claim topics for tokens within the T-REX protocol. Below is a detailed breakdown of each function and event, explaining its purpose, source, and functionality.

**`ClaimTopicAdded`**

**Event**

**Description**: Emitted when a claim topic has been added to the Claim Topics Registry.

```solidity
event ClaimTopicAdded(uint256 indexed claimTopic);
```

***

**`ClaimTopicRemoved`**

**Event**

**Description**: Emitted when a claim topic has been removed from the Claim Topics Registry.

```solidity
event ClaimTopicRemoved(uint256 indexed claimTopic);
```

***

**`addClaimTopic`**

**Source**: `IClaimTopicsRegistry`

**Description**: Adds a trusted claim topic to the Claim Topics Registry. Only callable by the owner of the contract. This function emits a `ClaimTopicAdded` event.

```solidity
function addClaimTopic(uint256 _claimTopic) external;
```

***

**`removeClaimTopic`**

**Source**: `IClaimTopicsRegistry`

**Description**: Removes a trusted claim topic from the Claim Topics Registry. Only callable by the owner of the contract. This function emits a `ClaimTopicRemoved` event.

```solidity
function removeClaimTopic(uint256 _claimTopic) external;
```

***

**`getClaimTopics`**

**Source**: `IClaimTopicsRegistry`

**Description**: Returns the list of trusted claim topics for the token.

```solidity
function getClaimTopics() external view returns (uint256[] memory);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.erc3643.org/erc-3643/smart-contracts-library/onchain-identities/claim-topics-registry/claim-topics-registry-interface.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
